Subject: git rebase--interactive, doesn't ignore commits already in upstream

From: Mark Levedahl <[email-masked]>
Date: Wed, 01 Aug 2007 07:28:22 -0400

git rebase -i does not correctly ignore commits in the local branch that 
are also in upstream. For example, create a branch that is two commits 
back from upstream, add one of those on to the local branch

upstream=83b3df7d58
git checkout -f $upstream
git checkout -b foo $upstream~2
git cherry-pick $upstream~1
git rebase -i  $upstream

"git rebase -i" happily presents commit "$upstream~1" in the list to be 
applied to upstream. This of course results in a conflict. Should the 
user simply delete the offending commit from the presented list, git 
rebase -i then refuses to do anything, saying "Nothing to do."

Bare "git rebase" handles this case correctly (essentially fast forwards 
the branch to upstream.

Mark